<?php
session_start();
include '../../assets/constant/config.php';

try {
    $conn = new PDO("mysql:host=$servername;dbname=$dbname", $username, $password);
    $conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);










//insert event location...
    if (isset($_POST['submit1'])) {


        $stmt = $conn->prepare("INSERT INTO `location`(`name`) VALUES (?)");

        $stmt->execute([
           
            htmlspecialchars($_POST['name'], ENT_QUOTES, 'UTF-8'),
            
        ]);

        $_SESSION['success'] = "success";

        header("location:../manage_location.php");
    }

    



// update location....

    if (isset($_POST['update1'])) {

 $stmt = $conn->prepare("UPDATE `location` SET `name`=? WHERE id=? ");
                  $stmt->execute([
            htmlspecialchars($_POST['name'], ENT_QUOTES, 'UTF-8'),
            htmlspecialchars($_POST['id'], ENT_QUOTES, 'UTF-8')
        ]);
    
        $_SESSION['update'] = "update";
        header("location:../manage_location.php");
    }
    

    // delete location..

    if (isset($_POST['del_id'])) {

        $stmt = $conn->prepare("UPDATE `location` SET delete_status='1' where id=? ");

        $stmt->execute([htmlspecialchars($_POST['del_id'], ENT_QUOTES, 'UTF-8')]);

        $_SESSION['delete'] = "delete";

        header("location:../manage_location.php");
    }





} catch (PDOException $e) {
    echo "Connection failed: " . $e->getMessage();
}

